Subject: Re: [git pull] Please pull powerpc.git next branch

From: Olaf Hering <[email-masked]>
Date: Tue, 28 Jan 2014 16:03:09 +0100

On Tue, Jan 28, Olaf Hering wrote:

> On Tue, Jan 28, Benjamin Herrenschmidt wrote:
> 
> > So here's my next branch for powerpc. A bit late as I was on vacation
> 
> This breaks booting on G5 11,2, the nouveau driver prints errors and as
> result the kernel hangs, fans kick in. This is what I did:
> 
> # Rebase 54c0a4b..b2e448e onto 54c0a4b

I'm booting with 'quiet', which results in this output:

[     0.886650] nouveau: 0000:0a:00.0: Invalid ROM contents
[     1.165588] nouveau: E[   PFIFO][0000:0a:00.0] DMA_PUSHER - ch 0 [DRM] get 0x03
0000000 put 0x00000188 state 0x80000000 (err: INVALID_CMD) push 0x00000000
[     1.297722] nouveau: E[     DRM] GPU lockup - switching to software fbcon

Booting with ignore_loglevel prints too much, nouveau messages scroll out.
Attached is the dmesg from 54c0a4b46150db1571d955d598cd342c9f1d9657 with the
change below reverted.

Olaf

d084775738b746648d4102337163a04534a02982 is the first bad commit
commit d084775738b746648d4102337163a04534a02982
Author: Alistair Popple <[email-masked]>
Date:   Mon Dec 9 18:17:03 2013 +1100

    powerpc/iommu: Update the generic code to use dynamic iommu page sizes

    This patch updates the generic iommu backend code to use the
    it_page_shift field to determine the iommu page size instead of
    using hardcoded values.

    Signed-off-by: Alistair Popple <[email-masked]>
    Signed-off-by: Benjamin Herrenschmidt <[email-masked]>

:040000 040000 52a8e1ca3166e3c916f8cdc1df5c1f42c76b2359 3d4915e416b28501ff502305bd4f76d64153dbc4 M      arch
:040000 040000 e9a9020abbef5622ffa1be381e0ff845e3741fa9 d6fc206dd372c1a8deded826cc5de8b05f71c614 M      drivers

# git bisect log
git bisect start
# good: [b2e448eca1a52fea181905845728ae00a138d84e] Merge branch 'ipmi' (ipmi patches from Corey Minyard)
git bisect good b2e448eca1a52fea181905845728ae00a138d84e
# bad: [54c0a4b46150db1571d955d598cd342c9f1d9657] Merge branch 'akpm' (incoming from Andrew)
git bisect bad 54c0a4b46150db1571d955d598cd342c9f1d9657
# good: [403227641533c4227d44d14f25c8f3676f6e7436] softirq: convert printks to pr_<level>
git bisect good 403227641533c4227d44d14f25c8f3676f6e7436
# bad: [8b52312880ecbc5beb40b313600f2903c16a59ed] powerpc/p1010rdb-pa: modify phy interrupt.
git bisect bad 8b52312880ecbc5beb40b313600f2903c16a59ed
# good: [2c49195b6aedd21ff1cd1e095fab9866fba3411b] powernv: Remove get/set_rtc_time when they are not present
git bisect good 2c49195b6aedd21ff1cd1e095fab9866fba3411b
# bad: [a68c33f3592eef63304a5f5ab68466539ccac56c] powerpc: Fix endian issues in power7/8 machine check handler
git bisect bad a68c33f3592eef63304a5f5ab68466539ccac56c
# good: [c34a51ce49b40b9667cd7f5cc2e40475af8b4c3d] powerpc/mm: Enable _PAGE_NUMA for book3s
git bisect good c34a51ce49b40b9667cd7f5cc2e40475af8b4c3d
# good: [fee26f6d5d68a8815b20c32d15dd70d5384eb937] powerpc: Remove unused REDBOOT Kconfig parameter
git bisect good fee26f6d5d68a8815b20c32d15dd70d5384eb937
# good: [3a553170d35d69bea3877bffa508489dfa6f133d] powerpc/iommu: Add it_page_shift field to determine iommu page size
git bisect good 3a553170d35d69bea3877bffa508489dfa6f133d
# bad: [d084775738b746648d4102337163a04534a02982] powerpc/iommu: Update the generic code to use dynamic iommu page sizes
git bisect bad d084775738b746648d4102337163a04534a02982
# first bad commit: [d084775738b746648d4102337163a04534a02982] powerpc/iommu: Update the generic code to use dynamic iommu page sizes